Bug 249873 - japanese/yc.el: Fix obsoleted (emacs) function use
Summary: japanese/yc.el: Fix obsoleted (emacs) function use
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rainer Hurling
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-09-25 05:11 UTC by Takayuki Nakao
Modified: 2020-12-04 12:42 UTC (History)
2 users (show)

See Also:
koobs: merge-quarterly?


Attachments
recursive diff of the ports (1.83 KB, patch)
2020-09-25 05:11 UTC, Takayuki Nakao
no flags Details | Diff
recursive diff of the ports (2.12 KB, patch)
2020-10-22 06:54 UTC, Takayuki Nakao
t: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Takayuki Nakao 2020-09-25 05:11:08 UTC
Created attachment 218272 [details]
recursive diff of the ports

Because the "process-kill-without-query" function was made obsolete in emacs 27.1, the function should be replaced by "set-process-query-on-exit-flag" function.
Comment 1 Fernando Apesteguía freebsd_committer 2020-09-30 06:31:05 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

Q/A: YC_LISPDIR variable is out of place. Should be moved to the bottom after option helpers.

Thanks!
Comment 2 Takayuki Nakao 2020-10-22 06:54:33 UTC
Created attachment 218965 [details]
recursive diff of the ports
Comment 3 Takayuki Nakao 2020-10-22 06:58:45 UTC
Fernando, thank you for your comments.
I posted a revised patch according to your comments.

>> ^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.
There is no changelog or release notes URL. sorry.
Comment 4 Rainer Hurling freebsd_committer 2020-12-04 11:54:11 UTC
I created a review on Phabricator: https://reviews.freebsd.org/D27473
Comment 5 commit-hook freebsd_committer 2020-12-04 12:41:26 UTC
A commit references this bug:

Author: rhurlin
Date: Fri Dec  4 12:41:09 UTC 2020
New revision: 556979
URL: https://svnweb.freebsd.org/changeset/ports/556979

Log:
  japanese/yc.el: Adapt to newer emacs versions

  The "process-kill-without-query" function was made
  obsolete in emacs 27.1 [1]. Therefore the function
  should be replaced in japanese/yc.el by
  "set-process-query-on-exit-flag" function.

  [1] http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=f1c48b0

  PR:		249873
  Submitted by:	Takayuki Nakao <t@nakao.org> (maintainer)
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D27473

Changes:
  head/japanese/yc.el/Makefile
  head/japanese/yc.el/files/patch-yc.el
Comment 6 Rainer Hurling freebsd_committer 2020-12-04 12:42:51 UTC
Committed, thanks :)